Page MenuHomePhabricator

Add tracking code relating to statement changes
Closed, ResolvedPublic

Description

GIVEN a UI edit
WHEN the value is changed
AND none of the references is changed
THEN it is counted as one statistic

GIVEN UI edit of a statement
WHEN the value is changed
AND every reference is changed
THEN it is counted as one statistic

GIVEN UI edit of a statement
WHEN the value is changed
AND at least one reference (but not all) is changed
THEN it is counted as one statistic

GIVEN UI edit of a statement
WHEN the value is not changed
AND at least one reference is changed
THEN it is counted as one statistic

GIVEN UI edit of a statement
WHEN the value is not changed
AND at least once qualifier snak is added, removed, or changed
THEN it is counted as one statistic

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterAdd statementTracker for tracking statement changes

Event Timeline

Tarrow created this task.Nov 15 2019, 11:10 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 15 2019, 11:10 AM
Tarrow updated the task description. (Show Details)Nov 15 2019, 11:12 AM
noarave claimed this task.Nov 20 2019, 9:15 AM
Restricted Application added a project: User-Noarave. · View Herald TranscriptNov 20 2019, 9:15 AM
noarave updated the task description. (Show Details)Nov 21 2019, 1:30 PM

Change 552500 had a related patch set uploaded (by Noa wmde; owner: Noa wmde):
[mediawiki/extensions/Wikibase@master] WIP Add statementTracker for tracking statement changes

https://gerrit.wikimedia.org/r/552500

Tarrow claimed this task.Dec 11 2019, 2:54 PM
Tarrow moved this task from Peer Review to Doing on the Wikidata-Tainted-References-Sprint7 board.
Tarrow added a subscriber: noarave.
Addshore moved this task from incoming to in progress on the Wikidata board.Dec 12 2019, 10:43 AM

Change 552500 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add statementTracker for tracking statement changes

https://gerrit.wikimedia.org/r/552500

Tarrow closed this task as Resolved.Dec 19 2019, 12:10 PM
Tarrow moved this task from Peer Review to Done on the Wikidata-Tainted-References-Sprint7 board.